更新内容

我们在这个版本中重点修改了Flarum的功能,使Flarum的体验更好,无论是对于我们社区中的优秀开发者还是Flarum网站的管理员来说,都是如此。

🔒️ 修正了用户可以恢复被管理员删除的讨论的问题
🌏️ 只有启用的扩展程序才会启用翻译功能
📦️ Composer v2兼容性
🙈 固定内嵌式扰流板造型
⬆️ Pusher现在将把新帖子放在未读的贴子下
🗺️ 更改了Pusher和Emoji的CDN提供商(中文访问/加载时间更好)
🎨 改进的开关加载指示器
🐛 修正了错误的标签modals
📧 将电子邮件移至队列
📬 将通知移至队列
💭 开始讨论按钮现在只有在用户有权限的情况下才会出现
🚧 更多的扩展器

还有更多! 如果你对这个感兴趣,欢迎在GitHub上搜索我们的更新日志和发布的版本。

关于开发者

如果你是一个开发者,请仔细阅读,在这个版本中,有几个突破性的改动!如果你是一个开发者,请仔细阅读,在这个版本中,有几个突破性的改动。

详细信息

应广大用户的要求,我们在此公告中加入了关于扩展的突破性改动信息。Beta 13有几个突破性的改动,您应该注意到这些改动! 请参阅我们的文档中的完整升级指南

  • 不再支持PHP 7.1
  • Zend库已被完全移除,请升级到Laminas包
  • FlarumUtilStr类已被移除
  • 一些事件已经被移除,请使用新的扩展器作为替代
  • 语言包扩展器现在只为已启用的扩展添加翻译键。如果语言包似乎无法加载所有扩展的翻译,语言包的作者应该确认语言包中的yaml文件使用了正确的扩展ID(用-替换/,并删除flarum-ext-或flarum-;fancy/flarum-ext-boo变成fancy-boo)
  • 其他改动在下面的Beta 13升级指南中提到

建议开发者在发现问题时查看相关包的变更日志。你可以查看Beta 13升级指南以确保你的扩展程序是最新的。

如果您有任何问题或在升级过程中遇到任何障碍,请在Dev标签中打开新的讨论,或者在我们的讨论区#extend中找到我们。

升级Flarum

在你运行升级之前,请确保创建一个public/assets目录、composer.json和数据库的备份!

第1步:确保你在管理控制台中的0.1.0-beta.12版本,或者运行php flarum info (使用之前的版本说明来升级更早的版本)

第2步:禁用所有第三方扩展

第3步:运行以下命令

Composer v1

composer update --prefer-dist --no-dev -a --with-all-dependencies
php flarum migrate
php flarum cache:clear

Composer v2

警告: Composer 2在安装/更新过程中可能会引起问题,如果你遇到问题,请在支持标签下打开一个新的讨论。

composer update --prefer-dist --no-plugins --no-dev -a --with-all-dependencies
php flarum migrate
php flarum cache:clear

第4步:使用新升级的Flarum网站

如果您遇到任何问题,请在支持标签中打开一个新的讨论。可能会有类似问题的讨论,但无论如何也要打开一个新的讨论,这有助于我们更快地解决您的具体问题。

如果问题仍然存在,我们会帮助您解决。请务必提及您所使用的Flarum版本或php flarum info的输出。请附上composer why-not flarum/core v0.1.0-beta.13的输出。

原文地址

https://discuss.flarum.org/d/23666-flarum-010-beta13-released

Last modification:May 31st, 2020 at 02:40 pm
如果觉得我的文章对你有用,请随意赞赏